Skip to navigation

Retrieve a payment run summary

View as Markdown
Retrives the summary of a payment run.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

paymentRunKeystringRequired
The unique ID of a payment run or the payment run number. For example, 402890245f097f39015f0f074a2e0566.

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
numberOfCreditBalanceAdjustmentsintegerOptional

Note: This field is only available if you have the Credit Balance feature enabled.

The number of credit balance adjustments that are successfully processed in the payment run.

numberOfCreditMemosintegerOptional

Note: This field is only available if you have the Invoice Settlement feature enabled.

The total number of credit memos that are successfully processed in the payment run.

numberOfDebitMemosintegerOptional

Note: This field is only available if you have the Invoice Settlement feature enabled.

The total number of debit memos that are picked up for processing in the payment run.

numberOfErrorInputDataintegerOptional
The number of input data that are processed with errors.
numberOfErrorsintegerOptional

The number of payments with the status of Error and Processing.

numberOfInputDataintegerOptional
The total number of input data.
numberOfInvoicesintegerOptional

Note: This field is only available if you have the Invoice Settlement feature enabled.

The total number of invoices that are picked up for processing in the payment run.

numberOfPaymentsintegerOptional
The number of payments that are successfully processed in the payment run.
numberOfProcessedInputDataintegerOptional
The number of input data that are successfully processed.
numberOfReceivablesintegerOptional

The total number of receivables that are picked up for processing in the payment run.

The value of this field is the sum of the value of the numberOfInvoices field and that of the numberOfDebitMemos field.

numberOfUnappliedPaymentsintegerOptional

Note: This field is only available if you have the Invoice Settlement feature enabled.

The number of unapplied payments that are successfully processed in the payment run.

numberOfUnprocessedDebitMemosintegerOptional

Note: This field is only available if you have the Invoice Settlement feature enabled.

The number of debit memos with remaining positive balances after the payment run is completed.

numberOfUnprocessedInvoicesintegerOptional

Note: This field is only available if you have the Invoice Settlement feature enabled.

The number of invoices with remaining positive balances after the payment run is completed.

numberOfUnprocessedReceivablesintegerOptional
The number of receivables with remaining positive balances after the payment run is completed.
successbooleanOptional

Returns true if the request was processed successfully.

totalValueslist of objectsOptional
Container for total values.